commit:     3d1a3a9433b2cbf0465f1dd458b3108e6d10ae59
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 20 13:08:13 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Sat Apr 20 13:08:45 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d1a3a94

x11-apps/radeon-profile: Initial commit

Closes: https://bugs.gentoo.org/503128
Package-Manager: Portage-2.3.64, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 x11-apps/radeon-profile/Manifest                   |  1 +
 x11-apps/radeon-profile/metadata.xml               | 11 ++++
 .../radeon-profile/radeon-profile-20190311.ebuild  | 58 ++++++++++++++++++++++
 .../radeon-profile/radeon-profile-99999999.ebuild  | 58 ++++++++++++++++++++++
 4 files changed, 128 insertions(+)

diff --git a/x11-apps/radeon-profile/Manifest b/x11-apps/radeon-profile/Manifest
new file mode 100644
index 00000000000..9306bc955e4
--- /dev/null
+++ b/x11-apps/radeon-profile/Manifest
@@ -0,0 +1 @@
+DIST radeon-profile-20190311.tar.gz 381505 BLAKE2B 
e15fbf60f9b790ef81f6b86f74cdada20fe232d2d1965c35248c33bead5f47503780804f0710c8627e4a487e6f95f6688d0dc52b325c278700f9539773547729
 SHA512 
285ff4fd9f4376135a38009e0e531ec9d9c727840284d9cb4135e0044134a778786559b4280e329be8b78d635928feacd1c0ccc15bce15297d15e4f065460463

diff --git a/x11-apps/radeon-profile/metadata.xml 
b/x11-apps/radeon-profile/metadata.xml
new file mode 100644
index 00000000000..127798b95dd
--- /dev/null
+++ b/x11-apps/radeon-profile/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+  <maintainer type="person">
+    <email>[email protected]</email>
+    <name>Lars Wendler</name>
+  </maintainer>
+  <upstream>
+    <remote-id type="github">marazmista/radeon-profile</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/x11-apps/radeon-profile/radeon-profile-20190311.ebuild 
b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
new file mode 100644
index 00000000000..9221aca4ad8
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-20190311.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile";
+if [[ "${PV}" == 99999999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git";
+else
+       SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+       dev-qt/qtcharts:5
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+       x11-libs/libX11
+       x11-libs/libXrandr
+"
+
+DEPEND="
+       ${RDEPEND}
+       media-libs/mesa
+       x11-libs/libdrm
+"
+
+src_prepare() {
+       default
+       sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+       elog "In order to run ${PN} as non-root user, the"
+       elog "  x11-apps/radeon-profile-daemon"
+       elog "package needs to be installed and the daemon must run."
+}

diff --git a/x11-apps/radeon-profile/radeon-profile-99999999.ebuild 
b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
new file mode 100644
index 00000000000..9221aca4ad8
--- /dev/null
+++ b/x11-apps/radeon-profile/radeon-profile-99999999.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 77337142ec368ef43c179461f5ca0beb09d5cd21 $
+
+EAPI=7
+
+inherit qmake-utils
+
+DESCRIPTION="Read current clocks of ATi/AMD Radeon cards"
+HOMEPAGE="https://github.com/marazmista/radeon-profile";
+if [[ "${PV}" == 99999999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/marazmista/radeon-profile.git";
+else
+       SRC_URI="https://github.com/marazmista/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+LICENSE="GPL-2"
+SLOT="0"
+
+IUSE=""
+
+S="${WORKDIR}/${P}/${PN}"
+
+RDEPEND="
+       dev-qt/qtcharts:5
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+       x11-libs/libX11
+       x11-libs/libXrandr
+"
+
+DEPEND="
+       ${RDEPEND}
+       media-libs/mesa
+       x11-libs/libdrm
+"
+
+src_prepare() {
+       default
+       sed 's@TrayIcon;@@' -i extra/${PN}.desktop || die
+}
+
+src_configure() {
+       eqmake5
+}
+
+src_install() {
+       emake INSTALL_ROOT="${D}" install
+}
+
+pkg_postinst() {
+       elog "In order to run ${PN} as non-root user, the"
+       elog "  x11-apps/radeon-profile-daemon"
+       elog "package needs to be installed and the daemon must run."
+}

Reply via email to